# Webhooks

**Account Webhook Structure**\
Data Type: JSON

The webhook payload is delivered in **JSON** format, a structured data format commonly used for APIs. Each payload includes:

| **Variable**          | **Type** | **Description**                                            |
| --------------------- | -------- | ---------------------------------------------------------- |
| `event`               | String   | The event will following current progress of this account. |
| `bsb`                 | String   | BSB number for this account.                               |
| `account_number`      | String   | Account number for this account.                           |
| `receiver_id`         | String   | Unique ID of the updated account owner.                    |
| `receiver_account_id` | String   | Unique ID of the updated account.                          |
| `status`              | String   | Status of the current account.                             |
| `confirm_status`      | String   | Confirm status of the current account from receiver.       |
| `timestamp`           | Integer  | Unix timestamp of the event.                               |

**Account Notification Event**

| Event          | Description                                                 |
| -------------- | ----------------------------------------------------------- |
| accountCreated | Indicates that a new account has been successfully created. |
| accountUpdate  | Indicates that an existing account has been updated.        |

**Account Notification Status**

| Status      | Description                                                                     |
| ----------- | ------------------------------------------------------------------------------- |
| unconfirmed | Receiver has not yet confirmed the bank details sent for payout via email/ SMS. |
| confirmed   | Receiver has confirmed the bank details sent for payout via email or SMS.       |

**Example**

```json
{
    "event": "accountCreated",
    "bsb": "***003",
    "account_number": "****2179",
    "receiver_id": "3971f24a-b901-4bdb-b3a5-7690ca350cd3",
    "receiver_account_id": "6afec8ad-c026-463b-9f09-f60adfae10a0",
    "status": "completed",
    "confirm_status": "unconfirmed",
    "timestamp": 1710091428000
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payswiftly.io/payout-api/account/webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
